### Hierarchy

- BaseXmlComponent
  - XmlComponent
  - XmlAttributeComponent

## Index

### Constructors

- constructor

### Accessors

- IsDeleted

### Methods

- prepForXml

## Constructors

### constructor

- new BaseXmlComponent(rootKey: string): BaseXmlComponent

- - Defined in file/xml-components/base.ts:6

  #### Parameters

  - ##### rootKey: string

  #### Returns BaseXmlComponent

## Accessors

### IsDeleted

- get IsDeleted(): boolean

- - Defined in file/xml-components/base.ts:14

  #### Returns boolean

## Methods

### Abstract prepForXml

- prepForXml(): IXmlableObject | undefined

- - Defined in file/xml-components/base.ts:12

  #### Returns IXmlableObject | undefined

Generated using TypeDoc